# Get all files for a candidate
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?candidateId=456 \
--header 'Authorization: Bearer <token>'
# Get specific file
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?id=999 \
--header 'Authorization: Bearer <token>'
{
"files": [
{
"id": 999,
"url": "https://storage.harmonyforstaffing.com/files/resume-123.pdf",
"fileName": "resume-123.pdf",
"contentType": "application/pdf",
"size": 1048576,
"candidateId": 456,
"type": "resume",
"description": "Updated resume March 2024",
"createdAt": "2024-03-19T18:30:00Z"
}
]
}
Files
Get Files
Retrieve files
GET
/
api
/
file
# Get all files for a candidate
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?candidateId=456 \
--header 'Authorization: Bearer <token>'
# Get specific file
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?id=999 \
--header 'Authorization: Bearer <token>'
{
"files": [
{
"id": 999,
"url": "https://storage.harmonyforstaffing.com/files/resume-123.pdf",
"fileName": "resume-123.pdf",
"contentType": "application/pdf",
"size": 1048576,
"candidateId": 456,
"type": "resume",
"description": "Updated resume March 2024",
"createdAt": "2024-03-19T18:30:00Z"
}
]
}
Retrieve a list of file attachments or get details for a specific file.
Query Parameters
Optional file ID to get a specific file
Filter files by candidate ID
Filter files by type
Response
List of file objects
# Get all files for a candidate
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?candidateId=456 \
--header 'Authorization: Bearer <token>'
# Get specific file
curl --request GET \
--url https://api.harmonyforstaffing.com/api/file?id=999 \
--header 'Authorization: Bearer <token>'
{
"files": [
{
"id": 999,
"url": "https://storage.harmonyforstaffing.com/files/resume-123.pdf",
"fileName": "resume-123.pdf",
"contentType": "application/pdf",
"size": 1048576,
"candidateId": 456,
"type": "resume",
"description": "Updated resume March 2024",
"createdAt": "2024-03-19T18:30:00Z"
}
]
}
⌘I